numpy (1:2.4.6+ds-4ubuntu1) stonking; urgency=medium

  * Include patch proposed upstream to avoid
    FTBFS on amd64v3, see LP #2146290

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 14 Aug 2026 10:57:57 +0000

numpy (1:2.4.6+ds-4) unstable; urgency=medium

  * Fix typo in baseline flags for i386

 -- Timo Röhling <roehling@debian.org>  Thu, 23 Jul 2026 15:36:56 +0200

numpy (1:2.4.6+ds-3) unstable; urgency=medium

  * Make x86 CPU baseline policy compliant (Closes: #1142428)

 -- Timo Röhling <roehling@debian.org>  Thu, 23 Jul 2026 12:19:41 +0200

numpy (1:2.4.6+ds-2) unstable; urgency=medium

  * Fix pytest 9.1 deprecation warnings (Closes: #1140993)

 -- Timo Röhling <roehling@debian.org>  Sun, 28 Jun 2026 23:51:39 +0200

numpy (1:2.4.6+ds-1) unstable; urgency=medium

  * New upstream version 2.4.6+ds
  * debian/copyright: use spaces rather than tabs to start continuation
    lines.
  * Trim trailing whitespace.
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Refresh patches (no functional changes)

 -- Timo Röhling <roehling@debian.org>  Sat, 30 May 2026 16:35:55 +0200

numpy (1:2.4.4+ds-2) unstable; urgency=medium

  * Upload to unstable.

 -- Timo Röhling <roehling@debian.org>  Wed, 06 May 2026 16:52:11 +0200

numpy (1:2.4.4+ds-1) experimental; urgency=medium

  * New upstream version 2.4.4+ds
  * Bump Standards-Version to 4.7.4

 -- Timo Röhling <roehling@debian.org>  Fri, 03 Apr 2026 12:33:39 +0200

numpy (1:2.4.3+ds-1) experimental; urgency=medium

  * New upstream version 2.4.3+ds

 -- Timo Röhling <roehling@debian.org>  Fri, 13 Mar 2026 16:39:58 +0100

numpy (1:2.4.2+ds-1) experimental; urgency=medium

  * New upstream version 2.4.2+ds
  * Refresh patch (no functional changes)

 -- Timo Röhling <roehling@debian.org>  Wed, 04 Feb 2026 22:29:25 +0100

numpy (1:2.4.1+ds-1) experimental; urgency=medium

  * New upstream version 2.4.1+ds
  * Update patches
    - Merged: 0011-Add-object-copy-for-f2py-meson-backend.patch
    - Obsolete: 0012-Skip-test_arbitrary_number_of_ops_error-on-32-bit-ar.patch
    - Merged: 0013-Fix-integer-size-mismatch.patch
  * Bump C API Version to 21

 -- Timo Röhling <roehling@debian.org>  Thu, 29 Jan 2026 22:02:06 +0100

numpy (1:2.3.5+ds-3) unstable; urgency=medium

  [ Drew Parsons ]
  * x32: skip test_advance_symmetry (random)
  * hurd: skip test_tuple_recursion (core test_dtype)

  [ Timo Röhling ]
  * Drop --config-setting build-dir (Closes: #1124186)
  * Bump Standards-Version to 4.7.3

 -- Timo Röhling <roehling@debian.org>  Mon, 29 Dec 2025 17:31:24 +0100

numpy (1:2.3.5+ds-2) unstable; urgency=medium

  * Also fix integer size for new flags type

 -- Timo Röhling <roehling@debian.org>  Thu, 20 Nov 2025 22:28:54 +0100

numpy (1:2.3.5+ds-1) unstable; urgency=medium

  * New upstream version 2.3.5+ds
  * Update patches
    - Merged: 0012-Avoid-compilation-error-of-wrapper-file-generated-wi.patch
  * Skip test which misbehaves on powerpc.
    Thanks to Drew Parsons (Closes: #1121005)
  * Fix integer size mismatch.
    Again thanks to Drew Parsons (Closes: #1120971)
  * Wrap and sort Debian package files
  * Update d/copyright

 -- Timo Röhling <roehling@debian.org>  Thu, 20 Nov 2025 09:47:17 +0100

numpy (1:2.3.4+ds-3) unstable; urgency=medium

  * Fix compatibility with SWIG >= 4.4.
    Thanks to Rafael Laboissière (Closes: #1119878)

 -- Timo Röhling <roehling@debian.org>  Mon, 03 Nov 2025 16:00:11 +0100

numpy (1:2.3.4+ds-2) unstable; urgency=medium

  * Skip failing tests on riscv64

 -- Timo Röhling <roehling@debian.org>  Tue, 28 Oct 2025 22:50:45 +0100

numpy (1:2.3.4+ds-1) unstable; urgency=medium

  * New upstream version 2.3.4+ds
  * Disable version warning banner in offline documentation
  * Migrate debian/watch to version 5 format
  * Refresh patches (no functional changes)
  * Fix f2py object file handling regression with meson backend
    (Closes: #1078861)
  * Build-Depend on python3-pytz instead of deprecated python3-tz

 -- Timo Röhling <roehling@debian.org>  Tue, 28 Oct 2025 10:40:01 +0100

numpy (1:2.3.3+ds-3) unstable; urgency=medium

  * Reproducible Builds fix
  * Monkeypatch numpy.random.default_rng for reproducible documentation
  * Do not run %timeit during documentation build

 -- Timo Röhling <roehling@debian.org>  Fri, 10 Oct 2025 12:42:48 +0200

numpy (1:2.3.3+ds-2) unstable; urgency=medium

  * Upload to unstable.
  * Skip test that fails on armel

 -- Timo Röhling <roehling@debian.org>  Thu, 09 Oct 2025 10:05:50 +0200

numpy (1:2.3.3+ds-1) experimental; urgency=medium

  * New upstream version 2.3.3+ds
  * Refresh patches (no functional changes)

 -- Timo Röhling <roehling@debian.org>  Tue, 16 Sep 2025 12:49:37 +0200

numpy (1:2.3.2+ds-1) experimental; urgency=medium

  * New upstream version 2.3.2+ds
  * Update patches.
    Obsolete: 0007-Disable-plots-to-avoid-circular-NumPy-dependency.patch
  * Reintroduce python3-matplotlib dependency for documentation
  * Downgrade dh_numpy3 skip warning to a info message
  * Make random numbers in documentation reproducible
  * Skip numpy-config tests in test suite
  * Bump C API version to 20
  * Acknowledge NMUs for IEEE long double format change on ppc64el
  * Update cross-build helper to reflect said format change

 -- Timo Röhling <roehling@debian.org>  Mon, 08 Sep 2025 08:12:27 +0200

numpy (1:2.2.4+ds-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Skip two tests for IEEE long double on ppc64el (Graham Inggs).
    Closes: #1113967.

 -- Matthias Klose <doko@debian.org>  Fri, 05 Sep 2025 11:56:25 +0200

numpy (1:2.2.4+ds-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No-change upload for IEEE long double on ppc64el.

 -- Matthias Klose <doko@debian.org>  Thu, 04 Sep 2025 16:17:01 +0200

numpy (1:2.2.4+ds-1) unstable; urgency=medium

  * New upstream version 2.2.4+ds
  * Refresh patches (no functional changes)

 -- Timo Röhling <roehling@debian.org>  Tue, 01 Apr 2025 21:45:23 +0200

numpy (1:2.2.3+ds-5) unstable; urgency=medium

  * Fix reproducibility issues with object files again

 -- Timo Röhling <roehling@debian.org>  Sun, 09 Mar 2025 21:14:24 +0100

numpy (1:2.2.3+ds-4) unstable; urgency=medium

  * Add --force option to dh_numpy3 and improve detection
  * Fix FTBFS on alpha and hurd-*

 -- Timo Röhling <roehling@debian.org>  Sat, 01 Mar 2025 22:25:17 +0100

numpy (1:2.2.3+ds-3) unstable; urgency=medium

  * Make dh_numpy3 smarter about adding ABI dependencies
  * Bump Standards-Version to 4.7.2

 -- Timo Röhling <roehling@debian.org>  Fri, 28 Feb 2025 14:47:44 +0100

numpy (1:2.2.3+ds-2) unstable; urgency=medium

  * Bump Standards-Version to 4.7.1
  * Properly execute dir_to_symlink transition (Closes: #1098365)

 -- Timo Röhling <roehling@debian.org>  Thu, 20 Feb 2025 11:56:23 +0100

numpy (1:2.2.3+ds-1) unstable; urgency=medium

  * New upstream version 2.2.3+ds (Closes: #1095468)
  * Skip huge_vectordot test on all 32 bit architectures (Closes: #1097126)

 -- Timo Röhling <roehling@debian.org>  Tue, 18 Feb 2025 09:52:55 +0100

numpy (1:2.2.2+ds-2) unstable; urgency=medium

  * Upload to unstable.

 -- Timo Röhling <roehling@debian.org>  Sun, 26 Jan 2025 21:02:29 +0100

numpy (1:2.2.2+ds-1) experimental; urgency=medium

  * New upstream version 2.2.2+ds

 -- Timo Röhling <roehling@debian.org>  Mon, 20 Jan 2025 18:07:13 +0100

numpy (1:2.2.1+ds-2) experimental; urgency=medium

  [ Alexandre Detiste ]
  * Fix syntax error in Maintainer: field that confuses UDD & the Tracker

 -- Timo Röhling <roehling@debian.org>  Thu, 16 Jan 2025 12:02:00 +0100

numpy (1:2.2.1+ds-1) experimental; urgency=medium

  * New upstream version 2.2.1+ds
  * Wrap and sort Debian package files

 -- Timo Röhling <roehling@debian.org>  Thu, 16 Jan 2025 11:28:28 +0100

numpy (1:2.2.0+ds-1) experimental; urgency=medium

  * New upstream version 2.2.0+ds
  * Update patches
    - Drop 0009-Use-correct-Python-interpreter-in-tests.patch
      (merged upstream)
  * Wrap and sort Debian package files
  * Drop dependency on python3-pkg-resources (Closes: #1083512)

 -- Timo Röhling <roehling@debian.org>  Thu, 12 Dec 2024 23:47:03 +0100

numpy (1:2.1.3+ds-2) experimental; urgency=medium

  * Skip failing autopkgtest after scrubbing __config__.py

 -- Timo Röhling <roehling@debian.org>  Sun, 08 Dec 2024 00:05:44 +0100

numpy (1:2.1.3+ds-1) experimental; urgency=medium

  * New upstream version 2.1.3+ds
  * Move dh_numpy3 to python3-numpy-dev
  * Fix __config__.py divergence between different Python versions
  * Finalize package layout for better cross-build support
    (Closes: #1076236)

 -- Timo Röhling <roehling@debian.org>  Sat, 23 Nov 2024 00:37:09 +0100

numpy (1:2.1.2+ds-1) experimental; urgency=medium

  [ Dima Kogan ]
  * swig numpy docs contain the correct include path

  [ Timo Röhling ]
  * Skip test that fills up Salsa autopkgtest filesystem
  * New upstream version 2.1.2+ds

 -- Timo Röhling <roehling@debian.org>  Tue, 08 Oct 2024 18:55:28 +0200

numpy (1:2.1.1+ds-3) experimental; urgency=medium

  * Make __config__.py reproducible
  * Use correct Python interpreter in tests (Closes: #1082094)

 -- Timo Röhling <roehling@debian.org>  Wed, 25 Sep 2024 23:45:59 +0200

numpy (1:2.1.1+ds-2) experimental; urgency=medium

  * Use sysconfig module and _PYTHON_SYSCONFIGDATA_NAME for cross build support
  * Skip a few more problematic tests

 -- Timo Röhling <roehling@debian.org>  Mon, 16 Sep 2024 23:41:43 +0200

numpy (1:2.1.1+ds-1) experimental; urgency=medium

  * New upstream version 2.1.1+ds
  * Add missing test excludes for arch-specific fails
  * Split python3-numpy-dev off python3-numpy for better cross-build support
  * Improve package description
  * Update d/copyright

 -- Timo Röhling <roehling@debian.org>  Fri, 06 Sep 2024 14:18:38 +0200

numpy (1:2.1.0+ds-2) experimental; urgency=medium

  * Ignore arch-specific test failures

 -- Timo Röhling <roehling@debian.org>  Mon, 02 Sep 2024 00:08:35 +0200

numpy (1:2.1.0+ds-1) experimental; urgency=medium

  * New upstream version 2.1.0+ds
  * Update copyright information
  * Update patches
    - Drop Do-not-fail-if-we-cannot-import-mingw32.patch (obsolete)
    - Drop Use-proper-lapack-dependency-for-__config__.py.patch (merged)
    - Drop Do-not-fail-the-build-on-Sphinx-warnings.patch (obsolete)
    - Drop Prevent-random-object-file-names-in-debuginfo.patch (merged)
    - Drop Ignore-distutils-for-Python-3.12-and-later.patch (obsolete)
    - Drop Remove-hack-to-override-_add_newdocs_scalars.patch (obsolete)
  * Update NumPy ABI/API versioning
  * Update prefix path in debian/numpy.pc
  * Update test suite invocation
  * Prepare multi-arch support for numpy.pc
  * Avoid circular NumPy build dependencies
  * New required Sphinx extension copybutton
  * Relax api-min-version requirement in dh_numpy3

 -- Timo Röhling <roehling@debian.org>  Fri, 30 Aug 2024 18:11:32 +0200

numpy (1:1.26.4+ds-13) unstable; urgency=medium

  * Team upload.
  * Remove dependency on python3-pkg-resources (Closes: #1083512)

 -- Alexandre Detiste <tchet@debian.org>  Mon, 13 Jan 2025 20:42:00 +0100

numpy (1:1.26.4+ds-12) unstable; urgency=medium

  * Team upload.
  * Patch test_iter_refcount to support Python 3.13.
  * Skip test_deprecate_* to support Python 3.13.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 14 Nov 2024 14:43:59 +0100

numpy (1:1.26.4+ds-11) unstable; urgency=medium

  * Remove hack to override _add_newdocs_scalars (Closes: #1076899)

 -- Timo Röhling <roehling@debian.org>  Wed, 31 Jul 2024 00:19:32 +0200

numpy (1:1.26.4+ds-10) unstable; urgency=medium

  * Defang upstream gitignore
  * Stop building distutils documentation with Python 3.12 (Closes: #1071255)

 -- Timo Röhling <roehling@debian.org>  Fri, 17 May 2024 18:38:57 +0200

numpy (1:1.26.4+ds-9) unstable; urgency=medium

  * Upload to unstable (Closes: #1070445)
  * More test filtering
  * Fix reproducibility issue with lapack dependency
  * Reorganize patches (no functional changes)
  * Prevent random object file names in debuginfo
  * Skip FPClass tests on mips64el

 -- Timo Röhling <roehling@debian.org>  Thu, 16 May 2024 14:38:07 +0200

numpy (1:1.26.4+ds-9~exp1) experimental; urgency=medium

  [ Michael R. Crusoe ]
  * Bring back the -doc package.

  [ Timo Röhling ]
  * Fix the SWIG documentation patch to reflect recent changes
  * Improve logic to avoid unneeded compilations

 -- Timo Röhling <roehling@debian.org>  Wed, 15 May 2024 21:24:07 +0200

numpy (1:1.26.4+ds-8) unstable; urgency=medium

  * Another round of flaky tests

 -- Timo Röhling <roehling@debian.org>  Thu, 25 Apr 2024 21:52:44 +0200

numpy (1:1.26.4+ds-7) unstable; urgency=medium

  * Make mips64el build more robust
  * Remove outdated READMEs
  * Move packaging helper scripts to dedicated subdir
  * Use deterministic MesonPy build directory
  * Bump Standards-Version to 4.7.0
  * Skip TestErrState::test_invalid on armel (Closes: #1069551)

 -- Timo Röhling <roehling@debian.org>  Thu, 25 Apr 2024 16:10:26 +0200

numpy (1:1.26.4+ds-6) unstable; urgency=medium

  * Make header include dir findable by pkgconf (Closes: #1067398)
  * Fix architecture-specifix test exclusions in autopkgtest
  * Fix entry point edits
  * Do not install duplicate files in /usr/lib/python3.X (Closes: #1063465)

 -- Timo Röhling <roehling@debian.org>  Thu, 21 Mar 2024 23:14:35 +0100

numpy (1:1.26.4+ds-5) unstable; urgency=medium

  * Fix more FTBFS due to architecture idiosynchrasies

 -- Timo Röhling <roehling@debian.org>  Tue, 19 Mar 2024 21:51:43 +0100

numpy (1:1.26.4+ds-4) unstable; urgency=medium

  * Also skip feature test in armhf/armel

 -- Timo Röhling <roehling@debian.org>  Tue, 19 Mar 2024 12:51:15 +0100

numpy (1:1.26.4+ds-3) unstable; urgency=medium

  * Skip tests with floating point errors on armhf/armel

 -- Timo Röhling <roehling@debian.org>  Tue, 19 Mar 2024 11:38:11 +0100

numpy (1:1.26.4+ds-2) unstable; urgency=medium

  * Upload to unstable.
  * Avoid hard dependency on individual Python versions.
    Thanks to Simon McVittie (Closes: #945824)
  * Stop symlinking NumPy headers in Python default include path
    (Closes: #998084)
  * Make package cross-buildable
  * Skip f2py tests for architecture-specific failures
  * Adopt upstream spelling of NumPy
  * Tests no longer consume excessive memory with Python 3.12
    (Closes: #1058456)

 -- Timo Röhling <roehling@debian.org>  Mon, 18 Mar 2024 11:58:47 +0100

numpy (1:1.26.4+ds-1) experimental; urgency=medium

  * Update debian/watch
  * New upstream version 1.26.4+ds
  * Update debian/copyright
  * Update patches
    - Drop 0004-Restore-missing-asstr-import.patch (merged upstream)
    - Drop 0005-Fix-pytest-8-deprecation-error.patch (merged upstream)
  * MesonPy is devendored now

 -- Timo Röhling <roehling@debian.org>  Sat, 16 Mar 2024 14:49:51 +0100

numpy (1:1.26.3-3) experimental; urgency=medium

  * Add ckk and myself as uploaders (Closes: #1065329)
  * Migrate to meson build system
  * Update debian/copyright
  * Update patches
    - Drop debian_skip_tests.patch (no longer needed)
    - Drop setup-py-accept-config.patch (no longer needed)
  * Migrate to pybuild autopkgtest

 -- Timo Röhling <roehling@debian.org>  Sat, 16 Mar 2024 12:38:38 +0100

numpy (1:1.26.3-2) experimental; urgency=medium

  * orphan

 -- Sandro Tosi <morph@debian.org>  Sat, 02 Mar 2024 15:45:34 -0500

numpy (1:1.26.3-1) experimental; urgency=medium

  [ Stefano Rivera ]
  * New upstream release (Closes: #1052320)
    - Adds Python 3.12 support.
    - Adds cython 3 support. (Closes: #1056825)
  * Refresh patches.
  * Drop patches, superseded upstream: python3-soabi.patch, python3.11.patch.
  * Build-Depend on tzdata-legacy. The testsuite uses US/Eastern.
  * Manually generate the f2pyX.Y scripts that upstream is no longer building.
  * Clean version.py, generated on every build.
  * Build-Depend on meson, and include it in many autopkgtests. f2py now uses
    it on Python 3.12.
  * Patch: Restore dropped import in f2py test suite.
  * debian/versions
    - bump API version to 17, min version 1.25.0

  [ Sandro Tosi ]
  * New upstream release
  * debian/source/options
    - ignore bat scripts diffs
  * debian/copyright
    - convert to DEP-5 format
    - exclude .gitattributes from upstream tarball, messing up with .bat files
  * debian/control
    - drop dvisvgm from b-d, no longer needed; Closes: #1055435
  * drop patches used to fix doc build, since we dont ship doc anymore
  * debian/source/include-binaries
    - drop, no longer needed

 -- Sandro Tosi <morph@debian.org>  Mon, 22 Jan 2024 01:48:13 -0500

numpy (1:1.24.2-3) unstable; urgency=medium

  * orphan

 -- Sandro Tosi <morph@debian.org>  Sat, 02 Mar 2024 15:43:52 -0500

numpy (1:1.24.2-2) unstable; urgency=medium

  * Team upload.
  * Drop SETUPTOOLS_USE_DISTUTILS=stdlib workaround, no longer needed and not
    applicable to Python 3.12.
  * Clean correctly.
  * Depend on python3-setuptools in autopkgtests that require distutils, for
    Python 3.12 compatibility.
  * Use --install-layout deb in capi autopkgtest, to use a consistent layout
    with Python 3.11 and 12.

 -- Stefano Rivera <stefanor@debian.org>  Mon, 04 Dec 2023 21:10:36 -0400

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog python-numpy-doc`.
